MS05-050: Vulnerability in DirectShow Could Allow Remote Code Execution (904706)

This script is Copyright (C) 2005-2015 Tenable Network Security, Inc.

Synopsis :

A vulnerability in DirectShow could allow remote code execution.

Description :

The remote host contains a version of DirectX that is vulnerable to a
remote code execution flaw.

To exploit this flaw, an attacker would need to send a specially
malformed .avi file to a user on the remote host and have him open it.

See also :

Solution :

Microsoft has released a set of patches for Windows 2000, XP and

Risk factor :

High / CVSS Base Score : 9.3
CVSS Temporal Score : 6.9
Public Exploit Available : false

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 20003 ()

Bugtraq ID: 15063

CVE ID: CVE-2005-2128